Name:           pysdm
Version:        0.4.1
Release:        10%{?dist}
Summary:        Python based Storage Device Manager

Group:          Applications/System
License:        LGPLv2+
URL:            http://pysdm.sourceforge.net
Source0:        http://downloads.sourceforge.net/pysdm/%{name}-%{version}.tar.gz
Patch0:         pysdm-0.4.1-rm_bundled_libs.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       python >= 2.4
Requires:       pygtk2
Requires:       tepache
Requires:       beesu
Requires:       mate-icon-theme

%description
PySDM is a Storage Device Manager that allows full customization of hard disk
mount points without manually access to fstab. It also allows the creation of
udev rules for dynamic configuration of storage devices


%prep
%setup -q
%patch0 -p1
# Remove bundled files.
rm -f pysdm/tepache.py
rm -f pysdm/SimpleGladeApp.py

# Fix path problem created by UsrMove
sed -i "s|\$path|%{_prefix}|g" scripts/pysdm


%build
%configure
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

# Fedora doesn't use gksudo, use beesu instead.
sed -i -e 's,gksudo,beesu -c,g' %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install                                   \
--remove-key="Encoding"                                \
--remove-category="Application"                        \
--delete-original                                      \
--dir=%{buildroot}%{_datadir}/applications             \
%{buildroot}%{_datadir}/applications/%{name}.desktop     

# pysdm.py is loaded from a script in /usr/bin
chmod 0755 %{buildroot}%{_datadir}/%{name}/%{name}.py


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct  7 2014 Richard Shaw <hobbes1069@gmail.com> - 0.4.1-9
- Replace orphaned gnome-icon-theme-legacy with mate-icon-theme requirement.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 12 2013 - Richard Shaw <hobbes1069@gmail.com> - 0.4.1-6
- Fix script which was broken use to UsrMove. (BZ# 951295)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 05 2011 - Richard Shaw <hobbes1069@gmail.com> - 0.4.1-2
- Updated requires for new package: tepache
- Various spec file fixes.

* Sat May 21 2011 - Richard Shaw <hobbes1069@gmail.com> - 0.4.1-1
- Inital release.
